Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html
Class StyleSheet.BoxPainter

    java.lang.Object
      |
      +--javax.swing.text.html.StyleSheet.BoxPainter

public static class StyleSheet.BoxPainter
extends java.lang.Object
implements java.io.Serializable

Class to carry out some of the duties of css formatting. Implementations of this class enable views to present the css formatting while not knowing anything about how the css values are being cached.

As a delegate of Views, this object is responsible for the insets of a View and making sure the background is maintained according to the css attributes.

See Also:
  Serialized Form

Method Summary
`float` | `getInset(int side, View v)` Fetchs the inset needed on a given side to account for the margin, border, and padding.
`void` | `paint(java.awt.Graphics g, float x, float y, float w, float h, View v)` Paints the css box according to the attributes given.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInset

    public float getInset(int side,
                          View v)

  Fetchs the inset needed on a given side to account for the margin, border, and padding.
  Parameters:
    `side` - The size of the box to fetch the inset for. This can be View.TOP, View.LEFT, View.BOTTOM, or View.RIGHT.
    `v` - the view making the request. This is used to get the AttributeSet, and may be used to resolve percentage arguments.
  Throws:
    java.lang.IllegalArgumentException - for an invalid direction

### paint

    public void paint(java.awt.Graphics g,
                      float x,
                      float y,
                      float w,
                      float h,
                      View v)

  Paints the css box according to the attributes given. This should paint the border, padding, and background.
  Parameters:
    `g` - the rendering surface.
    `x` - the x coordinate of the allocated area to render into.
    `y` - the y coordinate of the allocated area to render into.
    `w` - the width of the allocated area to render into.
    `h` - the height of the allocated area to render into.
    `v` - the view making the request. This is used to get the AttributeSet, and may be used to resolve percentage arguments.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.